<template>
    <div>
        <ul>
            <li v-for="item in list" :key="item.title">{{item.title}}</li>
        </ul>
        <ul>
            <li v-for="item in list1" :key="item.title">{{item.title}}</li>
        </ul>
    </div>
</template>

<script>
// Object.freeze冻结响应式数据
export default {
    name: 'ObjectFreeze',
    data(){
        return{
            list:Object.freeze([
                {
                    title:1
                },
                {
                    title:2
                }
            ]),
            list1:Object.freeze([
                {
                    title:10
                },
                {
                    title:100
                }
            ]),
        }
    },
    mounted(){
        this.list[0].title=100;
        // 下面两种做法，界面都会响应
        // this.list1 = [{ title: 100 },{ title: 200 }];
        this.list1 = Object.freeze([{ title: 100 },{ title: 200 }]);
    }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
</style>
